/**
 * (C) 2010 jolira (http://www.jolira.com). Licensed under the GNU General Public License, Version 3.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy of the License at
 * http://www.gnu.org/licenses/gpl-3.0-standalone.html Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language governing permissions and limitations
 * under the License.
 */
package com.google.code.joliratools.wizard;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import org.apache.wicket.extensions.wizard.WizardModel;
import org.apache.wicket.extensions.wizard.WizardStep;

import com.google.inject.Inject;

/**
 * @author "Gabe Hopper"
 * 
 */
public class GuicyWizardModel extends WizardModel implements IGuicyWizardModel {

    private static final long serialVersionUID = 1L;

    private final IGuicyWizardState state;

    private final List<String> completedGroups = new ArrayList<String>();

    @Inject
    public GuicyWizardModel(final Set<WizardStep> steps, final IGuicyWizardState state) {
        super();
        this.state = state;
        for (final WizardStep wizardStep : steps) {
            System.out.println("need to test to make sure i have the right JAR!!!");
            this.add(wizardStep);
        }
    }

    public void addCompletedGroup(String stepGroup) {
        completedGroups.add(stepGroup);
    }

    public List<String> getCompletedGroups() {
        return completedGroups;
    }

    public IGuicyWizardState getState() {
        return state;
    }

    public void removeCompletedGroup(String stepGroup) {
        completedGroups.remove(stepGroup);
    }

}
