/**
 * (C) 2010 jolira (http://www.jolira.com). Licensed under the GNU General Public License, Version 3.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy of the License at
 * http://www.gnu.org/licenses/gpl-3.0-standalone.html Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language governing permissions and limitations
 * under the License.
 */
package com.google.code.joliratools.wizard;

import java.util.ArrayList;
import java.util.List;

/**
 * @author "Gabe Hopper"
 * 
 */
public class GuicyWizardState implements IGuicyWizardState {

    private final List<String> steps = new ArrayList<String>();

    public void addCompletedGroup(final String step) {
        synchronized (steps) {
            steps.add(step);
        }
    }

    public List<String> getCompletedGroups() {
        return steps;
    }

    public void removeCompletedGroup(final String step) {
        synchronized (steps) {
            steps.remove(step);
        }

    }

}
